Hi,
How to copy dimension properties to another dimension?
Thank you for all your help
Solved! Go to Solution.
Hi,
How to copy dimension properties to another dimension?
Thank you for all your help
Solved! Go to Solution.
Solved by JelteDeJong. Go to Solution.
There is no easy API call o do the same. But you can copy each property individually from one to the other. something like this:
Dim dimension1 As LinearGeneralDimension = ThisApplication.CommandManager.Pick(SelectionFilterEnum.kDrawingDimensionFilter, "")
Dim dimension2 As LinearGeneralDimension = ThisApplication.CommandManager.Pick(SelectionFilterEnum.kDrawingDimensionFilter, "")
dimension2.Style = dimension1.Style
dimension2.Layer = dimension1.Layer
dimension2.Text.FormattedText = dimension1.Text.FormattedText
dimension2.Precision = dimension1.Precision
dimension2.IsInspectionDimension = dimension1.IsInspectionDimension
dimension2.FirstArrowheadType = dimension1.FirstArrowheadType
dimension2.SecondArrowheadType = dimension1.SecondArrowheadType
dimension2.ArrowheadsInside = dimension1.ArrowheadsInside
But not all dimension types have the same properties therefore when a user (or code) selects a dimension you need to know what kind of dimension you are dealing with. And act according to that.
Jelte de Jong
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
Blog: hjalte.nl - github.com
There is no easy API call o do the same. But you can copy each property individually from one to the other. something like this:
Dim dimension1 As LinearGeneralDimension = ThisApplication.CommandManager.Pick(SelectionFilterEnum.kDrawingDimensionFilter, "")
Dim dimension2 As LinearGeneralDimension = ThisApplication.CommandManager.Pick(SelectionFilterEnum.kDrawingDimensionFilter, "")
dimension2.Style = dimension1.Style
dimension2.Layer = dimension1.Layer
dimension2.Text.FormattedText = dimension1.Text.FormattedText
dimension2.Precision = dimension1.Precision
dimension2.IsInspectionDimension = dimension1.IsInspectionDimension
dimension2.FirstArrowheadType = dimension1.FirstArrowheadType
dimension2.SecondArrowheadType = dimension1.SecondArrowheadType
dimension2.ArrowheadsInside = dimension1.ArrowheadsInside
But not all dimension types have the same properties therefore when a user (or code) selects a dimension you need to know what kind of dimension you are dealing with. And act according to that.
Jelte de Jong
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
Blog: hjalte.nl - github.com
Can't find what you're looking for? Ask the community or share your knowledge.